package managedbeans;

import java.io.Serializable;
import org.eclnt.editor.annotations.CCGenClass;
import org.eclnt.jsfserver.elements.events.BaseActionEventPopupMenuItem;
import org.eclnt.jsfserver.pagebean.PageBean;

import javax.faces.event.ActionEvent;

@CCGenClass (expressionBase="#{d.CorrectSearchBarUI}")

public class CorrectSearchBarUI
    extends PageBean 
    implements Serializable
{
    String m_searchField = "test";

    public CorrectSearchBarUI()
    {
    }

    public String getPageName() { return "/jsp/correct/correctsearchbar.jsp"; }
    public String getRootExpressionUsedInPage() { return "#{d.CorrectSearchBarUI}"; }

    // ------------------------------------------------------------------------
    
    public String getSearchField() { return m_searchField; }
    public void setSearchField(String value) { this.m_searchField = value; }

    public void onSearchFieldAction(ActionEvent event) 
    {
        if (event instanceof BaseActionEventPopupMenuItem)
        {
            BaseActionEventPopupMenuItem e = (BaseActionEventPopupMenuItem)event;
            if ("DOUBLE".equals(e.getCommand()))
            {
                m_searchField += m_searchField;
            }
            else if ("CLEAR".equals(e.getCommand()))
            {
                m_searchField = "";
            }
        }
    }
}
