package managedbeans;

import java.io.Serializable;

import javax.faces.event.ActionEvent;

import org.eclnt.editor.annotations.CCGenClass;

@CCGenClass(expressionBase = "#{d.IndexUI}")
public class IndexUI implements Serializable {

	/**
	 * Switches the current page To the example, where the jsp code duplication
	 * is removed by using rowinclude with contentreplace. This approach is
	 * quite complex and error-prone, but theoretically possible.
	 * 
	 * @param event
	 *            ignored
	 */
	public void onRowincludeButton(ActionEvent event) {
		m_currentPage = "/jsp/searchViaRowincludeContentreplace/index_rowinclude.jsp";
	}

	/**
	 * Switches the current page To the plain example, where code is duplicated
	 * for the Search elements.
	 * 
	 * @param event
	 *            ignored
	 */
	public void onPlainButton(ActionEvent event) {
		m_currentPage = "/jsp/simpleSearchFieldWithPopupMenu/index_simple.jsp";
	}

	private static final long serialVersionUID = 1L;

	/**
	 * Current page in right pane in split pane.
	 */
	String m_currentPage = "/jsp/empty.jsp";

	public String getCurrentPage() {
		return m_currentPage;
	}

	public void setCurrentPage(String value) {
		this.m_currentPage = value;
	}

}
