package plain;

import java.io.Serializable;

import org.eclnt.editor.annotations.CCGenClass;
import org.eclnt.jsfserver.elements.impl.TILEDAREABinding;
import org.eclnt.jsfserver.pagebean.IPageBean;


/**
 * UI Class for index.jsp
 * @author bjoern
 */
@CCGenClass(expressionBase = "#{d.PlainIndexUI}")
public class PlainIndexUI implements Serializable {
	
	private static final long serialVersionUID = 1L;

	/**
	 * Initialize Tiled Area Binding.
	 */
	public PlainIndexUI() {
		m_tiledAreaBinding = new TILEDAREABinding();
		IPageBean tile1Bean = new Tile1PageBean();
		IPageBean tile2Bean = new Tile2PageBean();
		m_tiledAreaBinding.addTile("tile1", "Tile 1", tile1Bean);
		m_tiledAreaBinding.addTile("tile2", "Tile 2", tile2Bean);
	}
	
	/**
	 * The tiled Area Binding.
	 */
	TILEDAREABinding m_tiledAreaBinding;

	public TILEDAREABinding getTiledAreaBinding() {
		return m_tiledAreaBinding;
	}

	public void setTiledAreaBinding(TILEDAREABinding value) {
		this.m_tiledAreaBinding = value;
	}

}
